### Method

# WPEWebKit Settings set_user_agent

#### Declaration [src]

    void
    webkit_settings_set_user_agent (
      WebKitSettings* settings,
      const gchar* user_agent
    )

#### Description [src]

Set the `WebKitSettings:user-agent` property.

Sets property | `WPEWebKit.Settings:user-agent`

#### Parameters

`user_agent`

  Type: `const gchar*`

  The new custom user agent string or `NULL` to use the default user agent.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.